gr::lte::pcfich_unpack_vfm Class Referenceabstract

Unpack CFI and publish it on output message port. More...

`#include <pcfich_unpack_vfm.h>`

Inheritance diagram for gr::lte::pcfich_unpack_vfm:
[legend]

## Public Types

typedef boost::shared_ptr< pcfich_unpack_vfm > | sptr

## Public Member Functions

virtual std::vector< int > | cfi_results ()=0

## Static Public Member Functions

static sptr | make (std::string key, std::string msg_buf_name, std::string name="pcfich_unpack_vfm")
| Return a shared_ptr to a new instance of lte::pcfich_unpack_vfm.

## Detailed Description

Unpack CFI and publish it on output message port.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pcfich_unpack_vfm> gr::lte::pcfich_unpack_vfm::sptr

## Member Function Documentation

## cfi_results()

virtual std::vector< int > gr::lte::pcfich_unpack_vfm::cfi_results | ( |  | ) |

pure virtual

## make()

static sptr gr::lte::pcfich_unpack_vfm::make | ( | std::string | key,
|  | std::string | msg_buf_name,
|  | std::string | name = "pcfich_unpack_vfm" )

static

Return a shared_ptr to a new instance of lte::pcfich_unpack_vfm.

To avoid accidental use of raw pointers, lte::pcfich_unpack_vfm's constructor is in a private implementation class. lte::pcfich_unpack_vfm::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- pcfich_unpack_vfm.h